@import url("https://fonts.googleapis.com/css2?family=Mukta+Mahee:wght@200;300;500;600;700;800&display=swap");
@import url("https://fonts.googleapis.com/css2?family=PT+Serif:wght@400;700&display=swap");

html,
body {
    font-family: "Mukta Mahee", sans-serif;
    font-weight: 400;
    height: 100%;
    letter-spacing: 0.1px;
}

/* Font */
.font-normal {
    font-weight: 300;
    font-size: 18px;
}

.font-lg {
    font-weight: 300;
    font-size: 24px;
}

.serif {
    font-family: "PT Serif", serif;
    letter-spacing: 0.1px;
}

/* Navbar */
.nav-link {
    font-size: 18px;
    font-weight: 400;
    margin: 0px 5px;
}

.nav-item.dropdown.dropdown-mega {
    position: static;
}

.nav-item.dropdown.dropdown-mega .dropdown-menu {
    width: 50%;
    top: auto;
    left: 20%;
}

.card-mega {
    background: white;
}

.card-mega:hover {
    background-color: #ffdca9;
}

.cardCustom {
    background-color: white;
    border: 1px solid #d9d9d9;
    border-radius: 13px;
    padding: 25px;
}

.btnGoogle {
    background-color: white;
    border-radius: 15px;
    border: 1px solid #d9d9d9;
    padding: 8px 30px;
}

.play {
    box-shadow: 0 0 0 0 rgb(226, 78, 45);
    transform: scale(1);
    animation: pulse 2s infinite;
}

@keyframes pulse {
    0% {
        transform: scale(0.95);
        box-shadow: 0 0 0 0 rgba(244, 90, 63, 0.7);
    }

    70% {
        transform: scale(1.2);
        box-shadow: 0 0 0 10px rgba(228, 107, 107, 0);
    }

    100% {
        transform: scale(0.95);
        box-shadow: 0 0 0 0 rgba(228, 100, 100, 0);
    }
}

/* Animasi teks flip */
#container-flip {
    color: #999;
    text-transform: uppercase;
    font-size: 30px;
    font-weight: bold;
    width: 100%;
    bottom: 45%;
    display: block;
}

#flip {
    height: 50px;
    overflow: hidden;
}

#flip {
    height: 50px;
    overflow: hidden;
}

#flip > div > div {
    color: #fff;
    padding: 4px 12px;
    height: 45px;
    margin-bottom: 45px;
    display: inline-block;
}

#flip div:first-child {
    animation: show 5s linear infinite;
}

#flip div div {
    background: #27252d;
}
#flip div:first-child div {
    background: #e2782d;
}
#flip div:last-child div {
    background: #dc143c;
}

@keyframes show {
    0% {
        margin-top: -270px;
    }
    5% {
        margin-top: -180px;
    }
    33% {
        margin-top: -180px;
    }
    38% {
        margin-top: -90px;
    }
    66% {
        margin-top: -90px;
    }
    71% {
        margin-top: 0px;
    }
    99.99% {
        margin-top: 0px;
    }
    100% {
        margin-top: -270px;
    }
}

.card-kelas {
    cursor: pointer;
    box-shadow: 0 0 0 rgb(119 119 119 / 10%), 0 0 0 rgb(119 119 119 / 20%);
    transition: all 0.3s ease;
    border: 1px solid #e2e2e2;
    border-radius: 4px;
    padding: 20px;
    position: relative;
}

.go-corner {
    display: flex;
    align-items: center;
    justify-content: center;
    position: absolute;
    width: 32px;
    height: 32px;
    overflow: hidden;
    top: 0;
    right: 0;
    background-color: #ed9a3b;
    border-radius: 0 4px 0 32px;
}

.go-arrow {
    margin-top: -4px;
    margin-right: -4px;
    color: white;
    font-family: courier, sans;
}

.card1 {
    display: block;
    position: relative;
    max-width: 100%;
    background-color: #ffffff;
    border-radius: 4px;
    padding: 32px 24px;
    text-decoration: none;
    z-index: 0;
    overflow: hidden;
    color: black;
}
.card1:before {
    content: "";
    position: absolute;
    z-index: -1;
    top: -16px;
    right: -16px;
    background: #ed9a3b;
    height: 32px;
    width: 32px;
    border-radius: 32px;
    transform: scale(1);
    transform-origin: 50% 50%;
    transition: transform 0.25s ease-out;
}
.card1:hover:before {
    transform: scale(21);
}

.card1:hover p {
    transition: all 0.3s ease-out;
    color: rgba(255, 255, 255, 0.8);
}
.card1:hover h3 {
    transition: all 0.3s ease-out;
    color: #ffffff;
}

/* Hero */

/* Join */
#join {
    width: 100%;
    padding: 0 7%;
    display: table;
    margin: 0;
    max-width: none;
    background-color: #373b44;
    height: 100vh;

    /*added here*/
    background-image: url("../illustrations/il-tangga-nada.png");
    background-size: contain;
    background-repeat: no-repeat;
    background-position: bottom;
    /*added here*/
}

section:nth-of-type(2n) {
    background-color: #fe4b74;
}
/* Joion */

.btn {
    font-size: 18px;
}

.btnPrimary {
    background-color: #f14b4b;
    border-radius: 8px;
    border: 0px;
    color: white;
    padding: 10px 30px;
}

.btnPrimary:hover {
    background-color: #f14b4b;
    border-radius: 8px;
    border: 0px;
    color: white;
    padding: 10px 30px;
}

.btnOutPrimary {
    background: transparent;
    border-radius: 8px;
    border: 1px solid #f14b4b;
    color: rgb(0, 0, 0);
    padding: 10px 30px;
}

.btnOutPrimary:hover {
    background-color: #ffffff;
    border-radius: 8px;
    border: 1px solid #f1a64b;
    color: rgb(0, 0, 0);
    padding: 10px 30px;
}

.btnWarning {
    background-color: #f1a64b;
    border-radius: 8px;
    border: 2px solid #f1a64b;
    color: white;
    padding: 10px 30px;
}

.btnWarning:hover {
    background-color: #ffffff;
    border-radius: 8px;
    border: 2px solid #f1a64b;
    color: rgb(0, 0, 0);
    padding: 10px 30px;
}

.btnSuccess {
    background-color: #09ad9d;
    border-radius: 8px;
    border: 0px;
    color: white;
    padding: 10px 30px;
}

.btnSuccess:hover {
    background-color: #09ad9d;
    border-radius: 8px;
    border: 0px;
    color: white;
    padding: 10px 30px;
}

.btnDark {
    background-color: #3e3f3f;
    border-radius: 8px;
    border: 0px;
    color: white;
    padding: 10px 30px;
}

.btnDark:hover {
    background-color: #3e3f3f;
    border-radius: 8px;
    border: 0px;
    color: white;
    padding: 10px 30px;
}

.stripKiri {
    height: 2px;
    width: 30%;
    background-color: #d9d9d9;
}

.stripLabel {
    font-size: 12px;
    color: #585858;
}

.stripKanan {
    height: 2px;
    width: 30%;
    background-color: #d9d9d9;
}

.input {
    background-color: white;
    border-radius: 8px;
    border: 1px solid #d9d9d9;
    padding: 10px 30px;
}

.input:focus {
    box-shadow: 0 0 0 0;
    background-color: white;
}

/* password field */
.password-field {
    position: relative;
}

.password-field input {
    width: 100%;
    border: 0px;
}

.password-field #toggler {
    position: absolute;
    right: 20px;
    top: 50%;
    transform: translateY(-50%);
    cursor: pointer;
}

.inputPassword:focus {
    outline: none;
    background-color: white;
}

/* Text */
.textBiru {
    color: #379df1;
}

/* Modal Bottom Sheet */
.modal-dialog {
    transition: all 0.5s ease-in-out;
    transform: translateY(50%);
}

/* Select 2 */
.select2 {
    width: 100% !important;
}
.select2-container .select2-selection--single {
    height: 56px;
    padding: 0px 15px;
    border-radius: 15px;
    position: relative;
}
.select2-container .select2-selection--single .select2-selection__rendered {
    line-height: 56px;
}
.select2-container .select2-selection--single .select2-selection__arrow {
    top: 16px;
    right: 8px;
}
.select2-container
    .select2-selection--single
    .select2-container--default
    .select2-results
    > .select2-results__options {
    -webkit-overflow-scrolling: touch;
    /* use momentum scrolling */
}

/* Animasi Text Blink */
.blink_me {
    animation: blinker 1s linear infinite;
}

@keyframes blinker {
    50% {
        opacity: 0;
    }
}
